Subject: Re: find Exhibits Strange Behavior ?
From: "Cliff Hones" <[email-masked]>
To: "Paul T. Karch" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 19 Jan 2003 00:10:57 -0000

Paul T. Karch" [email-masked] writes:
> After I startup with cygwin.bat I am put
> into the /home/user directory.
> If I try to do any of the commands:
> find . -iname *.c
> find  -iname *.c
> find / -iname *.c
> 
> I get the following:
> 
> find: paths must precede expression
> Usage: find [path...] [expression]
>...
> This is not really a problem, I guess, but it is curious.
> Also I may not be interpreting the meaning of the find command
> properly.  Any comments ?

I think it is the operation of the shell which you are not
understanding properly.  If you use *.c on the command line
without quoting it, the shell expands it before passing it
to find.  Try again using e.g.

    find . -iname '*.c'

-- Cliff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/